version: "3.1"

stories:

- story: happy path
  steps:
  - intent: greet
  - action: utter_greet
  - intent: mood_great
  - action: utter_happy

- story: first_entry_form
  steps:
  - intent: greet
  - action: utter_greet
  - intent: affirm
#  - action: test_db
  - action: first_entry
  - active_loop: first_entry

- story: second_entry_form
  steps:
  - intent: greet
  - action: utter_greet
  - intent: deny
  - action: utter_ask_social_security_number
  - intent: give_social_security_number
  - action: get_user_data
  - action: utter_first_entry_slots_value

- story: test_path
  steps:
  - intent: bot_challenge
  - action: utter_iamabot
  - intent: deny
  - action: utter_ask_first_entry_mail
  - intent: give_mail
  - action: action_signal_mail
